About Store Forum Documentation Contact
Donations:
140$/mo



Post Reply 
Esenthel 1.0 outdated?
Author Message
laugan Offline
Member

Post: #76
RE: Esenthel 1.0 outdated?
(12-04-2013 11:59 PM)Esenthel Wrote:  
(12-04-2013 11:17 AM)laugan Wrote:  EDIT3: Ok i succeeded in compiling and running application. Had to change a lot of things (which worked earlier without change). But the problem with classes and their variables is still here.
Please attach the sample project with headers+lib, and if I find the time I can check this.

I found something. If i keep header in \VC\include\ folder and type only it's name in project settings, i can't see classes and their variables, but project is compiled. I tried to use full path to my header - "C:\Program Files\Microsoft Visual Studio 10.0\VC\include\otlv4.h" and i get the following error:

[Image: 4111516.png]

BUT!
If i copy this header to C:\otlv4.h editot thinks for several seconds (parses file i guess) and everything works like a charm, including classes and it's variables.
(This post was last modified: 12-19-2013 07:30 AM by laugan.)
12-19-2013 07:29 AM
Find all posts by this user Quote this message in a reply
sivan Offline
Member

Post: #77
RE: Esenthel 1.0 outdated?
hi
is EE1 okay with VS2013?
currently I use VS2010 but should upgrade to VS2013 soon. I know EE2 does support VS2013 but I would like to work further with EE1 for a while...
12-27-2013 05:01 PM
Visit this user's website Find all posts by this user Quote this message in a reply
fatcoder Offline
Member

Post: #78
RE: Esenthel 1.0 outdated?
Yes, works fine.
12-27-2013 11:14 PM
Find all posts by this user Quote this message in a reply
sivan Offline
Member

Post: #79
RE: Esenthel 1.0 outdated?
thanks!
12-28-2013 10:13 AM
Visit this user's website Find all posts by this user Quote this message in a reply
laugan Offline
Member

Post: #80
RE: Esenthel 1.0 outdated?
I'm very sorry for necroposting, but i didn't recieve an answer to my messages (i mean crash when adding a header and using font in EE 2.0 that supports Russian language, as Visual Studio output is full of "????").

And by the way,

(12-04-2013 09:14 AM)Esenthel Wrote:  .....
4. Create "Library" element which will make all of its Code elements to be shared across all Applications, or use Visual Studio if you prefer that.
.....
For everything you're having issues with, there is a solution, and it is better than in 1.0.

Does that mean that i can buy EE 2.0 version and continue working in Visual Studio as before? Using my own file names and structure?
01-30-2014 01:03 PM
Find all posts by this user Quote this message in a reply
Rubeus Offline
Member

Post: #81
RE: Esenthel 1.0 outdated?
(01-30-2014 01:03 PM)laugan Wrote:  I'm very sorry for necroposting, but i didn't recieve an answer to my messages (i mean crash when adding a header and using font in EE 2.0 that supports Russian language, as Visual Studio output is full of "????").

And by the way,

(12-04-2013 09:14 AM)Esenthel Wrote:  .....
4. Create "Library" element which will make all of its Code elements to be shared across all Applications, or use Visual Studio if you prefer that.
.....
For everything you're having issues with, there is a solution, and it is better than in 1.0.

Does that mean that i can buy EE 2.0 version and continue working in Visual Studio as before? Using my own file names and structure?

There's been a couple threads about EE2 and VS- you can do it. I prefer to use the code editor because it's 1 click to publish to any platform. I also find the EE version of C++ less.... 'clunky' than traditional. There's still a few things missing from the code editor to make it perfect, but I think overall it's worth it.
01-30-2014 02:48 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #82
RE: Esenthel 1.0 outdated?
(01-30-2014 01:03 PM)laugan Wrote:  I'm very sorry for necroposting, but i didn't recieve an answer to my messages (i mean crash when adding a header and using font in EE 2.0 that supports Russian language, as Visual Studio output is full of "????").
Sorry I've read this
Quote:BUT!
If i copy this header to C:\otlv4.h editot thinks for several seconds (parses file i guess) and everything works like a charm, including classes and it's variables.
And thought you no longer need help with this.
If you'd like me to investigate this, then please attach a sample project with the header files included and steps on how to reproduce the problem.
Thank you
01-30-2014 08:12 PM
Find all posts by this user Quote this message in a reply
laugan Offline
Member

Post: #83
RE: Esenthel 1.0 outdated?
(01-30-2014 08:12 PM)Esenthel Wrote:  And thought you no longer need help with this.
If you'd like me to investigate this, then please attach a sample project with the header files included and steps on how to reproduce the problem.
Thank you
As far as i get errors, i need help with this smile
Here is the link (don't know if i attached right things) - http://rghost.ru/52079747

You need to include "my.h | otlv4.h" headers and only one lib - "oci.lib". All headers and libs (excemt my.h) need to be in VS folders ("include" and "lib"). Example class is "otl_connect".

And please see THIS comment about my experiments with different ways of including these headers.
01-31-2014 06:26 AM
Find all posts by this user Quote this message in a reply
cmontiel Offline
Member

Post: #84
RE: Esenthel 1.0 outdated?
I'am getting this 2 messages non-stop:

Code:
01-31 20:52:10.644: D/LocationManagerService(2346): getLastLocation: Request[POWER_LOW network requested=0 fastest=0 num=1]
01-31 20:52:10.664: D/LocationManagerService(2346): getLastLocation: Request[ACCURACY_FINE gps requested=0 fastest=0 num=1]

EE Android SDK 1.0
Tutorial example.
GS3, android 4.3.

What could it be?
(This post was last modified: 01-31-2014 08:58 PM by cmontiel.)
01-31-2014 08:57 PM
Find all posts by this user Quote this message in a reply
cmontiel Offline
Member

Post: #85
RE: Esenthel 1.0 outdated?
Code:
02-03 14:38:51.430: W/System.err(470): java.lang.SecurityException: "gps" location provider requires ACCESS_FINE_LOCATION permission.
02-03 14:38:51.430: W/System.err(470):     at com.android.server.LocationManagerService.checkResolutionLevelIsSufficientForPro​viderUse(LocationManagerService.java:981)
02-03 14:38:51.430: W/System.err(470):     at com.android.server.LocationManagerService.getLastLocation(LocationManagerService​.java:1497)
02-03 14:38:51.430: W/System.err(470):     at android.location.ILocationManager$Stub.onTransact(ILocationManager.java:158)
02-03 14:38:51.430: W/System.err(470):     at android.os.Binder.execTransact(Binder.java:351)
02-03 14:38:51.430: W/System.err(470):     at dalvik.system.NativeStart.run(Native Method)
02-03 14:38:51.432: W/System.err(470): java.lang.SecurityException: "network" location provider requires ACCESS_COARSE_LOCATION or ACCESS_FINE_LOCATION permission.
02-03 14:38:51.433: W/System.err(470):     at com.android.server.LocationManagerService.checkResolutionLevelIsSufficientForPro​viderUse(LocationManagerService.java:984)
02-03 14:38:51.433: W/System.err(470):     at com.android.server.LocationManagerService.getLastLocation(LocationManagerService​.java:1497)
02-03 14:38:51.433: W/System.err(470):     at android.location.ILocationManager$Stub.onTransact(ILocationManager.java:158)
02-03 14:38:51.433: W/System.err(470):     at android.os.Binder.execTransact(Binder.java:351)
02-03 14:38:51.433: W/System.err(470):     at dalvik.system.NativeStart.run(Native Method)

Tested on an Asus Tablet.
I'm getting thousands of this messages in 30 secs. I know you don't give more support for 1.0 but EE android sdk has this bug doing inviable release a game.

It's present on EE 2.0 too.
02-03-2014 02:53 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #86
RE: Esenthel 1.0 outdated?
@laugan: thanks I'll check this once I find a free moment.
@cmontiel:
My questions relate to 2.0 with default android xml settings:
Does the application crash or just generates these messages? (Android by default generates plenty of messages)
Are you using gps in your codes?
Did you not modify somehow the permissions? (for ACCESS_COARSE_LOCATION or ACCESS_FINE_LOCATION).
02-05-2014 09:08 PM
Find all posts by this user Quote this message in a reply
cmontiel Offline
Member

Post: #87
RE: Esenthel 1.0 outdated?
Code:
Does the application crash or just generates these messages? (Android by default generates plenty of messages)

Just generates these messages continuously.

Code:
Are you using gps in your codes?

No. I just install EE 2.0, set android paths and press play (1- Basic App).

Code:
Did you not modify somehow the permissions? (for ACCESS_COARSE_LOCATION or ACCESS_FINE_LOCATION).

Nop.

[Image: agps.jpg]

This is less than 1 second output.
(This post was last modified: 02-05-2014 09:22 PM by cmontiel.)
02-05-2014 09:20 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #88
RE: Esenthel 1.0 outdated?
You can ignore these messages.
02-05-2014 09:30 PM
Find all posts by this user Quote this message in a reply
cmontiel Offline
Member

Post: #89
RE: Esenthel 1.0 outdated?
.... I can't, the are filling logcat queue and cleaning other messages in seconds (even with filters) and I can't debug nothing.

Also that continuous call every frame to gps services can affect to game performance...

Can I disable gps feature from esenthel to avoid that calls?
02-05-2014 09:44 PM
Find all posts by this user Quote this message in a reply
Esenthel Offline
Administrator

Post: #90
RE: Esenthel 1.0 outdated?
@laugan:
Please set Include Directories to something like that:
C:\Users\Greg\Desktop\4_Greg\include
and Include Headers to:
C:\Users\Greg\Desktop\4_Greg\my.h | C:\Users\Greg\Desktop\4_Greg\otlv4.h

Tested it and works fine.
02-05-2014 09:50 PM
Find all posts by this user Quote this message in a reply
Post Reply